PULSAR
API ReferenceWork Order And Machine

Get Work Order And Machine

List work order and machine.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

workOrderId?string

The work order's ID.

machineId?number

The machine's ID.

Formatdouble
priority?string

Filter by priority.

Value in

  • "lowest"
  • "low"
  • "medium"
  • "high"
  • "highest"
start?string

The start of the date range to filter by.

Formatdate-time
end?string

The end of the date range to filter by.

Formatdate-time

Response Body

application/json

Try it live
GET
/work-order-and-machine

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/work-order-and-machine"
[  {}]